Page MenuHomePhabricator

Unusable ProveIt window
Closed, ResolvedPublic

Description

There is a bug with ProveIt window. Sometimes the window opens at the topmost left corner, already open, and without any reference content, i.e. references are unloaded.

RuWiki by SerDIDGEtWiki by Cumbril

ProveIt shows these errors, sometimes:

Console log

Browser

Google Chrome

QA steps

Unknown

Event Timeline

Iniquity created this task.Apr 21 2017, 4:17 PM

Sometimes replicated when start editing wiki-text in Chrome 58 on Windows 10.

I experienced this kind of issues once or twice after the last changes I did to the code. But then it stopped happening, so I thought it was a cache issue and let it pass. Is this still happening to you?

Iniquity updated the task description. (Show Details)Apr 28 2017, 8:04 PM
Iniquity updated the task description. (Show Details)

@Iniquity Thank you for merging the tasks. I saw "Unusable ProveIt window" task, but I thought it's about some other bug.

Change 351115 had a related patch set uploaded (by Sophivorus; owner: Sophivorus):
[wikipedia/gadgets/ProveIt@master] Put a couple of checks in place

https://gerrit.wikimedia.org/r/351115

Change 351115 merged by Sophivorus:
[wikipedia/gadgets/ProveIt@master] Put a couple of checks in place

https://gerrit.wikimedia.org/r/351115

Sophivorus closed this task as Resolved.Apr 30 2017, 4:55 PM
Sophivorus claimed this task.

Well, I just submitted a patch that makes sure gui.draggable and wikiEditor are loaded before calling them, so this bug should be gone. I'm closing it but please reopen if it happens to persist. Thanks!